org.jvnet.libpam.impl

## Class PAMLibrary.pam_message

- java.lang.Object
- - com.sun.jna.Structure
  - - org.jvnet.libpam.impl.PAMLibrary.pam_message

Enclosing interface:
  PAMLibrary

    public static class PAMLibrary.pam_message
    extends com.sun.jna.Structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue, com.sun.jna.Structure.StructField`

### Field Summary

Fields
`String` `msg`
`int` `msg_style`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`pam_message(com.sun.jna.Pointer src)` Attach to the memory region pointed by the given pointer.

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### msg_style

    public int msg_style

#### msg

    public String msg

### Constructor Detail

#### pam_message

    public pam_message(com.sun.jna.Pointer src)

Attach to the memory region pointed by the given pointer.